Creates a new payout.

Swagger narrows payout.currency to the currencies currently configured for holding accounts and
payout.fxDestinationCurrency to the currencies currently configured for Banking Circle FX support.
The authoritative lists for the current environment are exposed by GET /api/v1/currencies.

Authorization: End user or Merchant token is required.

User permissions required: CanCreatePayouts

Body Params

The object containing the details of the payout to create.

uuid
required

The ID of the source account for the payout.

string
enum
required

The type of account identifier to use for the payout destination.

Allowed:
string | null
string
enum
required

Source payout currency. Swagger narrows this property to the currencies
currently configured for holding accounts. The authoritative list for the
current environment is exposed by GET /api/v1/currencies?capability=Holding.

Allowed:
double | null
≥ 0.0001

Optional but one of Amount or FxDestinationAmount must be set.

  • For single currency payouts this property is mandatory.
  • For multi-currency payouts this property is optional. If FxDestinationAmount is set this field must be set to 0
    and it will be dynamically adjusted based on the FX rate.
string | null

The Your reference field is an optional field that gets set locally on the payer's transaction record. It does not get
sent out through the payment network. The maximum length for the field is 256 characters. An empty value is also supported.
Supported chracters:
a b c d e f g h i j k l m n o p q r s t u v w x y z
A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
0 1 2 3 4 5 6 7 8 9
/ - ? : ( ) . , ' + Space
In addition the field cannot start with a : or - character.

string | null

The Their reference field gets sent to the payee and appears on their transaction record.
The maximum length for the field varies depending on the payment network. For SEPA (Euro) it is 140 characters. For Faster Payments (GBP) it is 18 characters.
a b c d e f g h i j k l m n o p q r s t u v w x y z
A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
0 1 2 3 4 5 6 7 8 9
/ - ? : ( ) . , ' + Space
In addition the field cannot start with a : or - character.

destination
object
string | null

Optional field to associate the payout with the invoice from an external
application such as Xero. The InvoiceID needs to be unique for each
account.

boolean

If set to true the payout will get created even if the business validation
rules fail. The basic data validation rules must still pass. The original
purpose of this flag was to allow payouts to be created from i3rd party applications,
such as Xero, that may not have things like an IBAN set for a supplier.
The missing information must be filled, either by an update from the 3rd party
application, or manually, before the payout can be submitted for processing.

tagIds
array of uuids | null

An optional list of tag ids to add to the payout.

tagIds
boolean

Should this payout be scheduled for a future date?

date-time | null

The date the payout should be submitted.

uuid | null

Optional. The ID of the beneficiary to use for the payout destination.

uuid | null

The ID of the batch payout this payout is part of.

uuid | null

Optional, if set it indicates that this payout will be used to top up
a payment account for a pay run by an internal transfer.

string
enum

Optional field to indicate the payment rail to use for the payout. Currently only
supports choosing between SEPA-CT and SEPA-INST for EUR payments. If not set, for a EUR
payment, the default behaviour is to attempt SEPA-INST and fallback to SEPA-CT if rejected.

Allowed:
documents
array of objects | null

List of documents to attach to the payout. Optional.
Used for identifying or associating documents with the payout.

documents
string
enum

Optional field to set who should pay any fees for the payout. Typically only
used for international payments and ignored for SEPA and Faster Payments.

Allowed:
string | null
enum

Optional. For an FX payout this is the currency that the beneficiary should be sent.
Swagger narrows this property to the currencies currently configured for
FX conversion support. The authoritative list for the current environment
is exposed by GET /api/v1/currencies?capability=FxConversion.

double | null

Optional but one of Amount or FxDestinationAmount must be set. If specified this will be the amount sent to the payee.
The payout's Amount will be dynamically adjusted based on this amount and the FX rate.

boolean

For a multi-currency payout this indicates how the Amount and FxDestinationAmount are treated.
If true the FxDestinationAmount is authoritative and the Amount is set based on the FxRate. If false then the Amount is authoritative
and the FxDestinationAmount is set based on the Amount and FxRate.

string | null

Optional. For multi-currency payouts this is the ID of a held rate that can be used for the FX conversion. If left
empty the mid-market FX rate will be used.

tags
array of strings | null

Optional list of tag names to add to the payout.

tags
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

201

The newly created payout record.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json